<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_644b798b19dd133ec9211fb916df03" . "2b" => base64_decode("ZmlsZV" . "9nZXRf" . "Y29udG" . "VudHM="), "_927fa79e65e" . "272737620f5a" . "863f058ae" => base64_decode("L2NhY2" . "hlX2Ns" . "ZWFyZW" . "QuZGF0"), "_2d885755f5" . "913deb2b5a4" . "83bd67611d1" => base64_decode("Y2ZnX2xvY2" . "FsX2RhdGFf" . "ZGly"), "_5e9a99dc0dd49b907abf" . "1b35e96965f8" => base64_decode("dHJpbQ" . "=="), "_72f158add48" . "659f67a9df82" . "de6646312" => base64_decode("c3lzdGVtX2NhY2hl" . "X2NsZWFyZWQ="), "_19d1237a619f7b35ad6dbebf02" . "5f17c8" => base64_decode("c3RyY21" . "w"), "_ca831b25ce7fffea9" . "cf441f762c7d154" => base64_decode("ZmlsZV9le" . "GlzdHM="), "_8a36a84baeffc0085672f9bf9c" . "064f67" => base64_decode("ZmlsZV9wdXRfY29udGVudH" . "M="));
use Claromentis\Core\Config\Config;
use Claromentis\Core\DAL\Interfaces\DbInterface;
use DBVar;
class CacheTimeCheck
{
    
    
    
    
    private $cache_cleared_file;
    
    
    
    
    private $cache_clearer;
    public function __construct(Config $config, CacheClearer $_2f905e47e14e38521e4b5cdebdd7a108)
    {
        $this->cache_cleared_file = $config->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2d885755f59" . "13deb2b5a483" . "bd67611d1"]) . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_927fa79e65e272737620f" . "5a863f058ae"];
        $this->cache_clearer = $_2f905e47e14e38521e4b5cdebdd7a108;
    }
    public function ClearLocalCacheIfNeeded()
    {
        $_d531d220dbc6dcb35b78aff26b7f0278 = true;
        $_0a9dc3339bf8c0f28851462350e00fb4 = (string) DBVar::Get($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_72f158add48659f67a9df82" . "de6646312"], false);
        if ($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_ca831b25c" . "e7fffea9cf" . "441f762c7d" . "154"]($this->cache_cleared_file)) {
            $_52da7741c64702dba0065a6ffc0b23da = (string) $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_5e9a99dc0dd49b907abf1b35e" . "96965f8"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_644b798b19" . "dd133ec9211" . "fb916df032b"]($this->cache_cleared_file));
            if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_19d1237a619f7b3" . "5ad6dbebf025f17c" . "8"]($_52da7741c64702dba0065a6ffc0b23da, $_0a9dc3339bf8c0f28851462350e00fb4) >= 0) {
                $_d531d220dbc6dcb35b78aff26b7f0278 = false;
            }
        }
        if ($_d531d220dbc6dcb35b78aff26b7f0278) {
            $this->ClearLocalCache();
        }
    }
    public function ClearLocalCache()
    {
        $this->cache_clearer->Reset();
        $this->UpdateLocalTimestamp();
    }
    public function ClearAllCache()
    {
        $this->cache_clearer->Reset();
        $this->cache_clearer->ResetShared();
        $this->UpdateLocalTimestamp();
    }
    protected function UpdateLocalTimestamp()
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8a36a84baeffc0085672f9bf9c064" . "f67"]($this->cache_cleared_file, $_d230962d9a57dc6ba2b774d9ba3bb81e);
    }
    public function UpdateSharedTimestamp(DbInterface $db)
    {
        $_d230962d9a57dc6ba2b774d9ba3bb81e = new \Date();
        $_d230962d9a57dc6ba2b774d9ba3bb81e = $_d230962d9a57dc6ba2b774d9ba3bb81e->getDate(DATE_FORMAT_TIMESTAMP);
        $db->DisableTokenCheck();
        DBVar::Set($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_72f158add48659f67a9df82de" . "6646312"], $_d230962d9a57dc6ba2b774d9ba3bb81e);
        $db->EnableTokenCheck();
    }
}